#
# spec file for package discover
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           discover
Version:        5.8.2
Release:        1.1
Summary:        KDE Software Installer
License:        GPL-2.0
Group:          System/GUI/KDE
Url:            https://quickgit.kde.org/?p=discover.git
Source:         http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  PackageKit-Qt5-devel
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-filesystem
BuildRequires:  kirigami-devel >= 1.1.0
BuildRequires:  libAppstreamQt-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Attica)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(Qca-qt5)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)
Requires:       AppStream
Requires:       kirigami >= 1.1.0
Requires:       libzypp-plugin-appdata
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Disover is the KDE software installer, implemented as an app store like application.

%package plasmoid
Summary:        Update notification plasmoid for KDE Software Manager
Group:          System/GUI/KDE
Conflicts:      plasma5-pk-updates
Requires:       %{name} = %{version}

%description plasmoid
This is the systray plasmoid to notify the user that updates are available

%lang_package

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.discover Qt KDE System PackageManager

%if %{with lang}
  %find_lang libdiscover %{name}.lang
#  %find_lang plasma-discover-exporter %{name}.lang
  %find_lang plasma-discover-notifier %{name}.lang
  %find_lang plasma-discover %{name}.lang

  %find_lang plasma_applet_org.kde.discovernotifier plasma.lang
%else
  touch plasma.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING COPYING.GFDL COPYING.LIB
%{_kf5_bindir}/plasma-discover
%{_kf5_libdir}/plasma-discover/
%{_kf5_plugindir}/discover-notifier/
%{_kf5_plugindir}/discover/
%{_kf5_qmldir}/
%{_kf5_applicationsdir}/org.kde.discover.desktop
%{_kf5_iconsdir}/hicolor/*/apps/plasmadiscover.*
%{_kf5_notifydir}/discoverabstractnotifier.notifyrc
%{_kf5_kxmlguidir}/plasmadiscover/
%{_kf5_sharedir}/libdiscover/
%{_kf5_sharedir}/plasmadiscover/
%{_kf5_appstreamdir}/
%{_kf5_configdir}/discover_ktexteditor_codesnippets_core.knsrc
%{_kf5_sharedir}/discover/

%if %{with lang}
%files lang -f %{name}.lang
%defattr(-,root,root)
%endif

%files plasmoid -f plasma.lang
%defattr(-,root,root)
%doc COPYING COPYING.GFDL COPYING.LIB
%dir %{_kf5_sharedir}/plasma
%dir %{_kf5_sharedir}/plasma/plasmoids
%{_kf5_sharedir}/plasma/plasmoids/org.kde.discovernotifier/
%{_kf5_servicesdir}/plasma-applet-org.kde.discovernotifier.desktop

%changelog
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
- Removed patches (now upstream):
    0001-Fix-build-with-older-Qt.patch
    0003-Drop-usage-of-templates-from-LinkButton.patch
    0004-Remove-unused-component.patch
    0002-Don-t-artificially-require-QtQuick-5.7.patch
* Mon Sep 26 2016 fabian@ritter-vogt.de
- Bump kirigami(-devel) requirement to 1.1.0 (kde#369323)
- Drop libqt5-qtquickcontrols2 requirement (fixed upstream)
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
- Added patches:
    0001-Fix-build-with-older-Qt.patch
    0002-Don-t-artificially-require-QtQuick-5.7.patch
    0003-Drop-usage-of-templates-from-LinkButton.patch
    0004-Remove-unused-component.patch
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
- Drop upstreamed fix_for_gcc4.diff
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
* Sun Mar 20 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.0.php
* Thu Mar 10 2016 tittiatcoke@gmail.com
- Recommend the lang package when the languages are packaged
  (boo#970470)
* Fri Feb  5 2016 tittiatcoke@gmail.com
- KDE Software Manager based on AppStream data (appdata)
  * Initial version 5.5.4
